## org.apache.hadoop.ipc
Interface VersionedProtocol

All Known Subinterfaces:
  AdminOperationsProtocol, RefreshAuthorizationPolicyProtocol, RefreshUserMappingsProtocol, TaskUmbilicalProtocol

All Known Implementing Classes:
  JobTracker, TaskTracker

    public interface VersionedProtocol

Superclass of all protocols that use Hadoop RPC. Subclasses of this interface are also supposed to have a static final long versionID field.

Method Summary
`long` `getProtocolVersion(String protocol, long clientVersion)` Return protocol version corresponding to protocol interface.

Method Detail

### getProtocolVersion

    long getProtocolVersion(String protocol,
                            long clientVersion)
                            throws IOException

  Return protocol version corresponding to protocol interface.

  Parameters:
    `protocol` - The classname of the protocol interface
    `clientVersion` - The version of the protocol that the client speaks
  Returns:
    the version that the server will speak
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation